<table class="form" cellspacing="0">
    <tbody>
        <tr>
            <th style='width: 170px;'>ID objednávky:</th>
            <td colspan="2"><?= $this->order->getOrderId(); ?></td>
        </tr>
        <tr>
            <th style='width: 170px;'>číslo faktury:</th>
            <td colspan="2"><?= $this->order->getInvoiceNumber(); ?></td>
        </tr>
        <tr>
            <th>Stav objednávky:</th>
            <td colspan="2"><?= $this->order->getStatusId(); ?></td>
        </tr>        
        <tr>
            <th>Datum a čas objednávky:</th>
            <td colspan="2"><?= $this->order->getOrderDate(); ?></td>
        </tr>
        <tr>
            <th colspan="2" style="text-align: center">Fakturační údaje</th>
            <th style="width: 300px; text-align: center">Dodací údaje</th>
        </tr>
        <?php 
        if ($this->order->getCompany()) {
        ?>    
        <tr>
            <th>Firma:</th>
            <td><?= $this->order->getCompanyName(); ?><br/>IČO: <?= $this->order->getCompanyId(); ?></td>
            <td></td>
        </tr>
        <?php        
        }
        ?>
        <tr>
            <th>Celé jméno:</th>
            <td><?= $this->order->getFullName(); ?></td>
            <td><?= $this->order->getDiffFullName(); ?></td>
        </tr>
        <tr>
            <th>Adresa:</th>
            <td><?= $this->order->getAddress(); ?><br/>
                <?= $this->order->getCity(); ?><br/>
                PSČ: <?= $this->order->getZip(); ?></td>
            <td><?= $this->order->getDiffAddress(); ?><br/>
                <?= $this->order->getDiffCity(); ?><br/>
                <?= ($this->order->getDiffZip()) ? "PSČ: ".$this->order->getDiffZip() : ""; ?></td>
        </tr>
        <tr>
            <th>Stát:</th>
            <td colspan="2"><?= $this->order->getCountryName(); ?></td>
        </tr>
        <tr>
            <th>Telefon:</th>
            <td colspan="2"><?= $this->order->getPhone(); ?></td>
        </tr>
        <tr>
            <th>Email:</th>
            <td colspan="2"><?= $this->order->getEmail(); ?></td>
        </tr>
        <tr>
            <th>Způsob dopravy:</th>
            <td colspan="2"><?= $this->order->getShippingTitle() . " (ID " . $this->order->getShippingId() . ")"; ?></td>
        </tr>
        <?php
        $shipping_address = $this->order->getShippingAddress();
        if (!empty($shipping_address)) {
            ?>
            <tr>
                <th>Vyzvedací adresa:</th>
                <td><?= $shipping_address ?></td>
            </tr>
        <?php } ?>
        <tr>
            <th>Způsob platby:</th>
            <td colspan="2"><?= $this->order->getPaymentTitle() . " (ID " . $this->order->getPaymentId() . ")"; ?></td>
        </tr>
        <tr>
            <th>Jazyk zákazníka:</th>
            <td colspan="2"><p><?= $this->order->getOrderLang(); ?></p></td>
        </tr>
        <tr>
            <th>Locale objednávky:</th>
            <td colspan="2"><p><?= $this->order->getOrderLocale(); ?></p></td>
        </tr>
        <tr>
            <th>Zpráva od zákazníka:</th>
            <td colspan="2"><p><?= $this->order->getMessage(); ?></p></td>
        </tr>
        <?php /* if ($this->recieved == 0) {
          ?>
          <tr>
          <td colspan="2">
          <form action="/admin/mail/" method='post'>
          <input type='hidden' value='<?= $this->ID ?>' name='orderId' />
          <input type='hidden' value='<?= $this->name ?>' name='emailName' />
          <input type='hidden' value='<?= $this->mail ?>' name='emailAddress' />
          <input type='hidden' value='<?= $this->lang ?>' name='emailLang' />
          <input type='hidden' value='<?= $this->transport_id ?>' name='emailTransport' />
          <input type='hidden' value='<?= $this->payment_id ?>' name='emailPayment' />
          <input type='submit' value="Odeslat email zákazníkovi" style="width: 300px; height: 30px; margin: 10px; text-align: center; vertical-align: middle; background-color: silver">
          </form>
          </td>
          </tr>
          <?php } */ ?>
        <tr>
            <td colspan="3">
                <?php
                if (!empty($this->status)) {
                    foreach ($this->status as $value) {
                        $show = true;
                        if ($value['status_id'] == 1) {
                            $show = false;
                        } else if (($value['status_id'] == 3) && $this->order->getDeliveryId() == 1) {
                            $show = false;
                        } else if (($value['status_id'] == 4) && $this->order->getDeliveryId() == 2) {
                            $show = false;
                        }
                        if ($show) {
                            ?>
                            <form action='/admin/orders/status/' method='post' style='float: left'>
                                <input type='hidden' value='<?= $this->order->getOrderId() ?>' name='order_id'>
                                <input type='hidden' value='<?= $value['status_id'] ?>' name='status_id'>                    
                                <input type='hidden' value='orders/edit/' name='redirect'>
                                <input type='submit' value='<?= $value['text_cz'] ?>' style='padding-left: 10px; padding-right: 10px; height: 30px; margin: 10px; background-color: <?= $value['color'] ?>'>
                            </form>
                        <?php
                        }
                    }
                }
                ?>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <br />
                <h2>Objednané produkty:</h2>
                <table class="form" cellspacing="0">
                    <thead>
                        <tr>
                            <td>ID:</td>
                            <td>produkt:</td>
                            <td>kód:</td>
                            <td>velikost:</td>
                            <td>cena (za 1ks):</td>
                            <td>množství:</td>
                            <td>cena celkem:</td>
                        </tr>
                    </thead>
                    <tbody>
<?php
foreach ($this->order->getOrderProducts() as $product) {
    ?>
                            <tr>
                                <td><?= $product->getProductId(); ?></td>
                                <td><?= $product->getTitle(); ?></td>
                                <td><?= $product->getCode(); ?></td>
                                <td><?= $product->getSize(); ?></td>

                                <td class='right'><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($product->getPrice()) : $this->currency->toEuro($product->getPrice()) ?></td>
                                <td class='right'><?= $product->getQuantity(); ?></td>
                                <td class='right'><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($product->getTotalPrice()) : $this->currency->toEuro($product->getTotalPrice()) ?></td>
                            </tr>
<?php }
if ($this->order->getShippingPrice() > 0) {
    ?>
                            <tr>
                                <td colspan='4'>
                                    <strong>Doprava:</strong> <?= $this->order->getShippingTitle(); ?>
                                </td>
                                <td class='right'>                                
                                    <b><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($this->order->getShippingPrice()) : $this->currency->toEuro($this->order->getShippingPrice()) ?></b>
                                </td>
                                <td class='right'>
                                    <b><?= $this->order->getDeliveryCount(); ?></b>
                                </td>
                                <td class='right'>                                
                                    <b><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($this->order->getShippingTotal()) : $this->currency->toEuro($this->order->getShippingTotal()) ?></b>
                                </td>
                            </tr>
<?php
}
if ($this->order->getPaymentPrice() > 0) {
    ?>
                            <tr>
                                <td colspan='4'>
                                    <strong>Platba:</strong> <?= $this->order->getPaymentTitle(); ?>
                                </td>
                                <td class='right'>                                
                                    <b><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($this->order->getPaymentPrice()) : $this->currency->toEuro($this->order->getPaymentPrice()) ?></b>
                                </td>
                                <td class='right'>                                
                                    <b><?= $this->order->getPaymentCount(); ?></b>
                                </td>
                                <td class='right'>
                                    <b><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($this->order->getPaymentTotal()) : $this->currency->toEuro($this->order->getPaymentTotal()) ?></b>
                                </td>
                            </tr>
<?php } ?>
                        <tr>
                            <td colspan='6'>
                                <h2>celkem:</h2>
                            </td>
                            <td class='right'>                                
                                <b><?= ($this->order->getOrderLocale() == 'cz') ? $this->currency->toKoruna($this->order->getOrderTotal()) : $this->currency->toEuro($this->order->getOrderTotal()) ?></b>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <br/><br />
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <h2>Historie objednávky:</h2>
                <table style='width: 99%; margin: 1px'>
                    <thead>
                        <tr>
                            <td>jméno:</td>
                            <td>stav:</td>
                            <td>poznámka:</td>
                            <td>datum:</td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($this->orderHistory as $k => $value) { ?>
                            <tr>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['user_name'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['title_cz'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['text'] ?></td>
                                <td style='background-color: <?= $value['color'] ?>'><?= $value['timestamp'] ?></td>
                            </tr>        
<?php } ?>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>